# plist.c File Reference

## Functions

MPlist * | mplist (void)
| Create a property list object.
MPlist * | mplist_copy (MPlist *plist)
| Copy a property list.
MPlist * | mplist_put (MPlist *plist, MSymbol key, void *val)
| Set the value of a property in a property list.
void * | mplist_get (MPlist *plist, MSymbol key)
| Get the value of a property in a property list.
MPlist * | mplist_put_func (MPlist *plist, MSymbol key, M17NFunc func)
| Set the value (function pointer) of a property in a property list.
M17NFunc | mplist_get_func (MPlist *plist, MSymbol key)
| Get the value (function pointer) of a property in a property list.
MPlist * | mplist_add (MPlist *plist, MSymbol key, void *val)
| Add a property at the end of a property list.
MPlist * | mplist_push (MPlist *plist, MSymbol key, void *val)
| Add a property at the beginning of a property list.
void * | mplist_pop (MPlist *plist)
| Remove a property at the beginning of a property list.
MPlist * | mplist_find_by_key (MPlist *plist, MSymbol key)
| Find a property of a specific key in a property list.
MPlist * | mplist_find_by_value (MPlist *plist, void *val)
| Find a property of a specific value in a property list.
MPlist * | mplist_next (MPlist *plist)
| Return the next sublist of a property list.
MPlist * | mplist_set (MPlist *plist, MSymbol key, void *val)
| Set the first property in a property list.
int | mplist_length (MPlist *plist)
| Return the length of a property list.
MSymbol | mplist_key (MPlist *plist)
| Return the key of the first property in a property list.
void * | mplist_value (MPlist *plist)
| Return the value of the first property in a property list.
MPlist * | mplist_deserialize (MText *mt)
| Generate a property list by deserializing an M-text.
MPlist * | mdebug_dump_plist (MPlist *plist, int indent)
| Dump a property list.

## Variables

MSymbol | Minteger
| Symbol whose name is "integer".
MSymbol | Mplist
| Symbol whose name is "plist".
MSymbol | Mtext
| Symbol whose name is "mtext".

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines